<?php
//call the FPDF library
//require('fpdf181/fpdf.php');
$this->load->library('Fpdf_Master');

//$today = date('Y-m-d'));
//A4 width : 219mm
//default margin : 10mm each side
//writable horizontal : 219-(10*2)=189mm

//$tt =  $user;
//class PDF_sample extends FPDF

$data= '';   

class PDF_sample extends FPDF {
  
  	private $data = array();
  	private $inv = array();
  	private $inv_itm = array();
  	private $tm = array();
  	private $options = array(
  		'inv' => '',
  		'destinationfile' => '',
  		'paper_size'=>'F4',
  		'orientation'=>'P'
  	);
  	
  	function __construct($data = array(), $options = array(),$inv = array(),$inv_itm = array(),$tm = array()) {
    	parent::__construct();
    	$this->data = $data;
    	$this->inv = $inv;
    	$this->inv_itm = $inv_itm;
    	$this->options = $options;
    	$this->tm = $tm;
	}
	

	
	function Footer()
{
    // Go to 1.5 cm from bottom
   
    $this->SetY(-15);
    

	 
	 //$this->Ln(2);
$this->SetFont('Arial','B',8);

   $this->SetFont('Arial','',7);

    $this->SetFont('Arial','',7);
	
    // Print centered page number
    //$this->Cell(0,10,'Page '.$this->PageNo(),0,0,'R');
    $this->Cell(0,10,'Page '.$this->PageNo().' of {nb}',0,0,'R');
     $this->Line(18,283,205,283);
	
}
	
	public function rptDetailData () {
		
		//
		$border = 0;
		$this->AddPage();
		$this->SetAutoPageBreak(False);
		$this->SetAutoPageBreak(true, 15);
		$this->AliasNbPages();
		$left = 18;
		$left1 = 5;
		//$left = 15;
		
		
	$this->SetLeftMargin($left);



		$this->SetFont('Arial','B',12);	

$this->Cell(0 ,5,'C S & D MARKETING (PVT) LTD' ,0,1,'C');//end of line
$this->SetFont('Arial','',10);	
	$this->Cell(0 ,5,'No: 53, Katana Road, Mirigama - 11200, Sri Lanka.',0,1,'C');//end of line
	$this->SetFont('Arial','B',10);	
	$this->Cell(0 ,5,'PRODUCT EXPIRE SUMMERY - '.date('Y-m-d') ,0,1,'C');//end of line 
	$this->SetFont('Arial','',10);


$this->Cell(130 ,4,'' ,0,0);
$this->SetFont('Arial','',8);
$this->Cell(33 ,4,'',0,0);
//$this->Cell(40 ,4,': ',0,1);//end of line


	
	//end include

$this->SetFont('Arial','B',10);


$this->Ln(4);

        
        $this->Ln(2);
     //$this->Cell(77);
    $this->SetFont('Arial','B',10);
   //$this->Cell(111,10,'SALES ITEMS',0,0,'L');
     //$this->Ln(8);
		
		$h = 5;
		$left = 40;
		$top = 10;	
		#tableheader
		$this->SetFillColor(200,200,200);	
		$left = $this->GetX();
		$this->SetFont("Arial", "B", 8);

		$this->Cell(10, $h, 'ID', 1, 0, 'C',true);
		$this->SetX($left += 10); $this->Cell(33, $h, 'BATCH', 1, 0, 'C',true);
		$this->SetX($left += 33); $this->Cell(65, $h, 'ITEM', 1, 0, 'C',true);
		$this->SetX($left += 65); $this->Cell(20, $h, 'EXPIRE DATE', 1, 0, 'C',true);
		$this->SetX($left += 20); $this->Cell(20, $h, 'AVL QTY', 1, 0, 'C',true);
		$this->SetX($left += 20); $this->Cell(20, $h, 'DIFFERENCE', 1, 1, 'C',true); 

		
		$this->SetFont('Arial','',9);
		$this->SetWidths(array(10,33,65,20,20,20));
		$this->SetAligns(array('L','L','L','R','R','R')); 
		//$this->SetFontStyle(array('B','B','B','B','B','B','B','B'));
		$no = 1; $this->SetFillColor(255);

		$i=0;
        $total= $total_qty = $total_val = $total_rtn = $total_rtn_val = $total_rtn_value = $total_amnt = 0;
        $itmcount=0;
        
        
        
        foreach ($this->inv_itm as $post)   { 
            
            $this->Row(

            array(
            
            
			($i+1),
			$post[0],
			$post[1],
			$post[2],
			$post[3],
			$post[4]
		
          ));
      
          
          $i= $i+1;
      
        }
 





        
 //return Items
 
 $this->Ln(2);
     //$this->Cell(77);
    
$this->Cell(105 ,5,'',0,0);

//$this->Cell(2 ,5,'',0,0);
//$this->Cell(15 ,5,'TOTAL',0,0);
//$this->Cell(28 ,5,$total,1,0);
//$this->Cell(25 ,5,number_format($total_val,2),1,1,'R');//end of line


//$this->Cell(105 ,5,'',0,0);
//$this->Cell(15 ,5,'RETURN',0,0);
//$this->Cell(28 ,5,$total_rtn,1,0);
//$this->Cell(25 ,5,number_format($total_rtn_val,2),1,1,'R');//end of line





//$this->inv[0]->po_tc;
$this->SetFont('Arial','',9);
$this->Ln(15);
$this->Cell(80 ,5,'',0,0);//end of line
$this->Cell(70 ,5,'-------------------------',0,0);//end of line
$this->Cell(40 ,5,'-------------------------',0,1);//end of line

$this->Cell(80 ,2,'',0,0);//end of line
$this->Cell(70 ,2,'     Requested by',0,0);//end of line
$this->Cell(40 ,2,'    Authorized By',0,1);//end of line


//$this->Ln(5);
$this->SetFont('Arial','',8);


	}

	public function printPDF () {
				
	
		
	    $this->SetAutoPageBreak(false);
	    $this->AliasNbPages();
	    $this->SetFont("helvetica", "B", 10);
	    //$this->AddPage();
		
		
		
		
		
	    $this->rptDetailData();
			    
	    $this->Output();
  	}
  	
  	private $widths;
	private $aligns;

	function SetWidths($w)
	{
		//Set the array of column widths
		$this->widths=$w;
	}

	function SetAligns($a)
	{
		//Set the array of column alignments
		$this->aligns=$a;
	}

	function Row($data)
	{
		//Calculate the height of the row
		$nb=0;
		for($i=0;$i<count($data);$i++)
			$nb=max($nb,$this->NbLines($this->widths[$i],$data[$i]));
		$h=4*$nb;
		//Issue a page break first if needed
		$this->CheckPageBreak($h);
		//Draw the cells of the row
		for($i=0;$i<count($data);$i++)
		{
			$w=$this->widths[$i];
			$a=isset($this->aligns[$i]) ? $this->aligns[$i] : 'L';
			//Save the current position
			$x=$this->GetX();
			$y=$this->GetY();
			//Draw the border
			$this->Rect($x,$y,$w,$h);
			//Print the text
			$this->MultiCell($w,4,$data[$i],0,$a);
			//Put the position to the right of the cell
			$this->SetXY($x+$w,$y);
		}
		//Go to the next line
		$this->Ln($h);
	}

	function CheckPageBreak($h)
	{
		//If the height h would cause an overflow, add a new page immediately
		if($this->GetY()+$h>$this->PageBreakTrigger)
			
			$this->AddPage($this->CurOrientation);
	
	}

	function NbLines($w,$txt)
	{
		//Computes the number of lines a MultiCell of width w will take
		$cw=&$this->CurrentFont['cw'];
		if($w==0)
			$w=$this->w-$this->rMargin-$this->x;
		$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
		$s=str_replace("\r",'',$txt);
		$nb=strlen($s);
		if($nb>0 and $s[$nb-1]=="\n")
			$nb--;
		$sep=-1;
		$i=0;
		$j=0;
		$l=0;
		$nl=1;
		while($i<$nb)
		{
			$c=$s[$i];
			if($c=="\n")
			{
				$i++;
				$sep=-1;
				$j=$i;
				$l=0;
				$nl++;
				continue;
			}
			if($c==' ')
				$sep=$i;
			$l+=$cw[$c];
			if($l>$wmax)
			{
				if($sep==-1)
				{
					if($i==$j)
						$i++;
				}
				else
					$i=$sep+1;
				$sep=-1;
				$j=$i;
				$l=0;
				$nl++;
			}
			else
				$i++;
		}
		return $nl;
	}
} //end of class


$options = array(
	'inv' => $inv, //nama file penyimpanan, kosongkan jika output ke browser
	'destinationfile' => '', //I=inline browser (default), F=local file, D=download
	'paper_size'=>'F4',	//paper size: F4, A3, A4, A5, Letter, Legal
	'orientation'=>'P' //orientation: P=portrait, L=landscape

);

$tabel = new PDF_sample($data,$options,$inv,$inv_itm,$tm);
//$tabel->printPDF();
$tabel->printPDF();
?>